Arch Add/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(24 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
{{Docnav/ru
|[[Arch_CutLine/ru|CutLine]]
|[[Arch_Remove/ru|Удалить компонент]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_CutLine.svg
|IconR=Arch_Remove.svg
|IconC=Workbench_Arch.svg
}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Add
|Name=Arch Add
|Name/ru=Arch Add
|Name/ru=Arch Add
|Workbenches=[[Arch Module/ru|Arch]]
|MenuLocation=Архитектура → Добавить компонент
|MenuLocation=Архитектура → Добавить компонент
|Workbenches=[[Arch_Workbench/ru|Arch]]
|SeeAlso=[[Arch Remove/ru|Удалить компонент]]
|SeeAlso=[[Arch Remove/ru|Удалить компонент]]
}}
}}
</div>


<span id="Description"></span>
==Описание==
==Описание==


<div class="mw-translate-fuzzy">
Инструмент «Добавить» позволяет вам выполнять 4 вида операций:
Инструмент «Добавить» позволяет вам выполнять 4 вида операций:
* Добавьте объекты [[Part Module | shape]] к компоненту Arch, такие как [[Arch Wall|wall]] или [[Arch Structure|structures]] . Эти объекты затем составляют часть компонента Arch и позволяют изменять его форму, но сохраняя ее базовые свойства, такие как ширина и высота
* Добавьте объекты [[Part_Workbench | shape]] к компоненту Arch, такие как [[Arch Wall|wall]] или [[Arch Structure|structures]] . Эти объекты затем составляют часть компонента Arch и позволяют изменять его форму, но сохраняя ее базовые свойства, такие как ширина и высота
* Добавьте элементы Arch, такие как [[Arch Wall|walls]] или [[Arch Structure|structures]], в объект арки на основе группы, такой как [[Arch Floor | floors]].
* Добавьте элементы Arch, такие как [[Arch Wall|walls]] или [[Arch Structure|structures]], в объект арки на основе группы, такой как [[Arch Floor | floors]].
* Добавить [[Arch Axis|axis systems]] в [[Arch Structure|structural objects]]
* Добавить [[Arch Axis|axis systems]] в [[Arch Structure|structural objects]]
* Добавить объекты в плоскость [[Arch SectionPlane|section planes]]
* Добавить объекты в плоскость [[Arch SectionPlane|section planes]]
</div>


The counterpart of this tool is the {{Button|[[Image:Arch_Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.
[[Image:Arch Add example.jpg|640px]]


[[Image:Arch Add example.jpg|640px]]
<div class="mw-translate-fuzzy">
'' В приведенном выше изображении коробка добавляется к стене. ''
'' В приведенном выше изображении коробка добавляется к стене. ''
</div>


<span id="Usage"></span>
==Использование==
==Применение==


# Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
# Select the objects to be added together. The last object selected will be the host Arch object.
# Press the {{KEY|[[Image:Arch Add.png|16px]] '''Add'''}} button
# Press the {{Button|[[Image:Arch Add.svg|16px]]}} button, or use {{KEY|Arch}} → {{KEY|[[Image:Arch Add.svg|16px]] [[Arch Add|Add]]}} from the top menu.


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


The Add tool can by used in [[macros]] and from the python console by using the following function:
The Add tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
:{{Code|code=
addComponents (objectsList,hostObject)
addComponents(objectsList, host)
}}
}}
* Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
* Returns nothing.


: The above code snippet adds the given objects in {{incode|objectsList}} to the given {{incode|host}} object.
Example:
: '''Note:''' {{incode|objectsList}} can be a single object or a list of objects.

Пример:

{{Code|code=
{{Code|code=
import FreeCAD, Arch, Draft, Part
import FreeCAD, Arch, Draft, Part

line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
p1 = FreeCAD.Vector(0, 0, 0)
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
p2 = FreeCAD.Vector(2000, 2000, 0)

Arch.addComponents(box,wall)
Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()
}}


<div class="mw-translate-fuzzy">
{{Docnav/ru
|[[Arch_CutLine/ru|CutLine]]
|[[Arch_Remove/ru|Удалить компонент]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_CutLine.svg
|IconR=Arch_Remove.svg
|IconC=Workbench_Arch.svg
}}
}}
</div>


{{Arch Tools navi{{#translation:}}}}
[[Category:Arch/ru]]
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:33, 8 January 2024

Arch Add

Системное название
Arch Add
Расположение в меню
Архитектура → Добавить компонент
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Удалить компонент

Описание

Инструмент «Добавить» позволяет вам выполнять 4 вида операций:

  • Добавьте объекты shape к компоненту Arch, такие как wall или structures . Эти объекты затем составляют часть компонента Arch и позволяют изменять его форму, но сохраняя ее базовые свойства, такие как ширина и высота
  • Добавьте элементы Arch, такие как walls или structures, в объект арки на основе группы, такой как floors.
  • Добавить axis systems в structural objects
  • Добавить объекты в плоскость section planes

The counterpart of this tool is the Arch Remove tool.

В приведенном выше изображении коробка добавляется к стене.

Применение

  1. Select the objects to be added together. The last object selected will be the host Arch object.
  2. Press the button, or use Arch Add from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Add tool can be used in macros and from the Python console by using the following function:

addComponents(objectsList, host)
The above code snippet adds the given objects in objectsList to the given host object.
Note: objectsList can be a single object or a list of objects.

Пример:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()